diff --git a/xlators/features/shard/src/shard.c b/xlators/features/shard/src/shard.c
index 6ac5a09a723..1f958ca5115 100644
--- a/xlators/features/shard/src/shard.c
+++ b/xlators/features/shard/src/shard.c
@@ -5176,6 +5176,9 @@ struct xlator_dumpops dumpops = {
 struct volume_options options[] = {
         {  .key = {"shard-block-size"},
            .type = GF_OPTION_TYPE_SIZET,
+           .op_version = {GD_OP_VERSION_3_7_0},
+           .flags = OPT_FLAG_SETTABLE | OPT_FLAG_CLIENT_OPT | OPT_FLAG_DOC,
+           .tags = {"shard"},
            .default_value = "64MB",
            .min = SHARD_MIN_BLOCK_SIZE,
            .max = SHARD_MAX_BLOCK_SIZE,
